Share via


Dns Forwarding Rulesets - Delete

Deletes a DNS forwarding ruleset. WARNING: This operation cannot be undone. All forwarding rules within the ruleset will be deleted.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/dnsForwardingRulesets/{dnsForwardingRulesetName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
dnsForwardingRulesetName
path True

string

The name of the DNS forwarding ruleset.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
if-match

string

ETag of the resource. Omit this value to always overwrite the current resource. Specify the last-seen ETag value to prevent accidentally overwriting any concurrent changes.

Responses

Name Type Description
200 OK

Resource deleted successfully.

202 Accepted

Resource deletion accepted.

Headers

  • Location: string
  • Retry-After: integer
204 No Content

Resource does not exist.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Delete DNS forwarding ruleset

Sample request

DELETE https://management.azure.com/subscriptions/abdd4249-9f34-4cc6-8e42-c2e32110603e/resourceGroups/sampleResourceGroup/providers/Microsoft.Network/dnsForwardingRulesets/samplednsForwardingRulesetName?api-version=2025-05-01

Sample response

Azure-AsyncOperation: https://management.azure.com/api/mresolver/subscriptions/abdd4249-9f34-4cc6-8e42-c2e32110603e/resourceGroups/sampleResourceGroup/providers/Microsoft.Network/locations/westus2/dnsResolverOperationStatuses/asyncOperationId?api-version=2025-05-01
Location: https://management.azure.com/api/mresolver/subscriptions/abdd4249-9f34-4cc6-8e42-c2e32110603e/resourceGroups/sampleResourceGroup/providers/Microsoft.Network/locations/westus2/dnsResolverOperationResults/asyncOperationId?api-version=2025-05-01

Definitions

Name Description
CloudError

An error message

CloudErrorBody

The body of an error message

CloudError

An error message

Name Type Description
error

CloudErrorBody

The error message body

CloudErrorBody

The body of an error message

Name Type Description
code

string

The error code

details

CloudErrorBody[]

Extra error information

message

string

A description of what caused the error

target

string

The target resource of the error message